Sauce-0.10.1: sauce::BindClause< Iface > Class Template Reference

Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
sauce::BindClause< Iface > Class Template Reference

A builder that creates a single binding. More...

`#include <sauce/binder.h>`

Inheritance diagram for sauce::BindClause< Iface >:
[legend]
Collaboration diagram for sauce::BindClause< Iface >:
[legend]

## Public Member Functions
template<typename Name >
NamedClause< Named< Iface, Name > > | named ()
NamedClause< Named< Iface, Unnamed > > | named (std::string const name)
ToInstanceClause< Named< Iface, Unnamed > > | toInstance (IfacePtr iface)
template<typename Method >
ToMethodClause< Named< Iface, Unnamed >, Method > | toMethod (Method method)
template<typename Signature >
ToMethodNamingClause< Named < Iface, Unnamed >, Signature > | toMethodNaming (typename ToMethodNamingClause< Named< Iface, Unnamed >, Signature >::Method method)
template<typename SetDependency >
ToMethodNamingClause< Named < Iface, Unnamed >, void(Iface::*)(SetDependency)> | setting (typename ToMethodNamingClause< Named< Iface, Unnamed >, void(Iface::*)(SetDependency)>::Method method, std::string name=unnamed())
template<typename SetIface , typename Name >
ToMethodNamingClause< Named < Iface, Unnamed >, void(Iface::*)(Named < SetIface, Name >)> | setting (typename ToMethodNamingClause< Named< Iface, Unnamed >, void(Iface::*)(Named< SetIface, Name >)>::Method method)
template<typename Scope >
InClause< Named< Iface, Unnamed >, Scope > | in ()
template<typename Ctor >
ToClause< Named< Iface, Unnamed >, NoScope, Ctor > | to ()
template<typename ProviderCtor >
ToProviderClause < ProviderDependency, NoScope, ProviderCtor > | toProvider ()
Public Member Functions inherited from sauce::internal::Clause< Named< Iface, Unnamed > >
Clause< Named< Iface, Unnamed > > & | naming (unsigned int position, std::string const name)
void | setState (ClauseStatePtr state)

## Friends
class | Binder

## Additional Inherited Members
Protected Member Functions inherited from sauce::internal::Clause< Named< Iface, Unnamed > >
virtual void | onComplete ()
| Clause (ClauseStatePtr state)
ClauseStatePtr | getState ()
Next | pass (Next next)
void | setDynamicName (std::string const name)
void | throwLater (Exception)
void | bindDynamicDependencyName (unsigned int position, std::string const name)

## Detailed Description

### template<typename Iface>
class sauce::BindClause< Iface >

A builder that creates a single binding.

The documentation for this class was generated from the following file:

- sauce/binder.h